#
# Explode the Sib-pair manual so one page per command
#
DIR="./Commands"
if ! [ -d $DIR ]
then
  mkdir $DIR
fi
awk '/<OL>/, /<\/OL>/' /home/HTML/Programs/sib-pair.html | \
awk -v prefix=$DIR '
BEGIN { RS="<[\/]*LI>"
        master=prefix "/auto_index.html"
        print "<html><head><title>All the Sib-pair commands</title></head>" > master
        print "<body>" > master
        print "<h3><a name=\"Appendix1\">" \
              "Appendix 1: All the Sib-pair Commands</a></h3>" > master
        print "<p>\n<table>" > master
        class="Global"
        print "<tbody><tr><th colspan=\"2\">" \
              "<b><a name=\"" class"\">" \
              class " Commands</a></b></th></tr>" > master

}
      { point=index($0, "\.")
        class_start=index($0, "<H4>")
        class_end=index($0, "</H4>")
        if (class_start>0) {
          class=substr($0,class_start+4, class_end-class_start-5)
        }
        name_start=index($0, "<B>")
        name_end=index($0, "</B>")+4

        if (name_start>0) {
          cmdname=substr($0, name_start+3, name_end-name_start-7)
          shortname=cmdname
          if (substr(shortname,1,4)=="set ") {
            nw=split(shortname, words, " ")
            shortname="set_" words[2]
          }
          gsub(" ","_",shortname)
          if (index(shortname,"|")>0) {
            shortname=substr(shortname,1,index(shortname,"|")-1)
          }
          if (shortname=="!") {
            thisfil="bang.html"
          }else if (substr(shortname,1,1)=="\"") {
            thisfil="genotype.html"
            cmdname="\"...\""
          }else if (substr(shortname,1,1)=="*") {
            thisfil="operator.html"
          }else if (substr(shortname,1,4)=="&lt;") {
            thisfil="comparison.html"
          }else if (substr(shortname,1,3)=="log") {
            thisfil="function.html"
          }else if (substr(shortname,1,3)=="...") {
            cmdname="&lt;cmd&gt; { ... }"
            thisfil="loop.html"
          }else if (substr(shortname,1,4)=="rand") {
            thisfil="rand.html"
          }else if (substr(shortname,1,6)=="numtyp") {
            thisfil="envvar.html"
          }else if (substr(shortname,1,4)=="male") {
            thisfil="envvar.html"
          }else if (shortname=="%") {
            thisfil="percent.html"
          }else{
            thisfil=shortname ".html"
          }
          target=prefix "/" thisfil
          print target
          print "<tr><td><a href=\"" thisfil "\">" cmdname \
                "</a></td><td>comment" > master
          usage=substr($0, name_end, point-name_end)
          details=substr($0, point+2)
          print "<HTML><HEAD>\n<TITLE>Sib-pair Command: " cmdname \
                "</TITLE></HEAD>\n<BODY>"  > target
          print "<HR>" > target
          print "<H1>Sib-pair Command: " cmdname "</H1>" > target
          print "<HR>" > target
          print "<P>" > target
          print "<TABLE>" > target
          print "<TR><TD><B>Class</B><TD>" class > target
          print "<TR><TD><B>Name</B><TD>" cmdname > target
          print "<TR><TD><B>Arguments</B><TD>" usage > target
          print "</TABLE>" > target
          print "<P>" > target
          print details > target
          print "<P>" > target
          print "<B>Example:</B>" > target
          print "<P>" > target
          print cmdname " " usage > target
          print "<HR>" > target
          print "<A HREF=\"./index.html\">Back to index</A>" > target
          print "</BODY></HTML>" > target
        }
}'

